

local bg = Bitmap.new(Texture.new("image.jpg", true))
bg:setScale(bg:getWidth() / app:getContentHeight())
stage:addChild(bg)

--local sh1 = GShape.new("circle", "ios", 48)

-- seed init.lua for TEMP_FIX
if (TEMP_FIX) then 
	sh1 = GShape.new("rect", 100, 100)
	sh2 = GShape.new("rect", 200, 200, 16)
	sh3 = GShape.new("rect", 300, 300)
else
	sh1 = GShape.new("rrect", 100, 100, 16)
	sh2 = GShape.new("circle", 64)
	sh3 = GShape.new("rect", 200, 200)
end

sh1:setPosition(240, 400)
sh2:setPosition(140, 200)
sh3:setPosition(90, 250)

local list = {sh1,sh2,sh3}

local shapeRender = ShapeRender.new(list)
stage:addChild(shapeRender)
shapeRender:update()

local current
local dx, dy = 0, 0
function StartDrag(ind, x, y)
	current = list[ind]
	local cx,cy = current:getPosition()
	shapeRender:pushToTop(current) -- you can remove this, its not important
	shapeRender:update()
	
	dx = cx - x
	dy = cy - y
end
--
function DragMove(x, y)
	current:setPosition(x+dx,y+dy)
	shapeRender:update()
end

-- for touch controll
local shapeN = 1
if (app:getDeviceInfo() == "Android") then 
	stage:addEventListener(Event.TOUCHES_MOVE, function(e)
		DragMove(e.touch.x, e.touch.y)
	end)
	stage:addEventListener(Event.TOUCHES_BEGIN, function(e)
		StartDrag(shapeN, e.touch.x, e.touch.y)
		shapeN += 1
		if (shapeN > 3) then shapeN = 1 end
	end)
else
	stage:addEventListener(Event.MOUSE_MOVE, function(e)
		DragMove(e.x, e.y)
	end)
	stage:addEventListener(Event.MOUSE_DOWN, function(e)
		local ind = (e.button//2)+1 -- LMB - 1, RMB - 2, MMB - 3
		StartDrag(ind, e.x, e.y)
	end)
end
